{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function set_property, fieldcount, scroll_enable\r\n$insert quote_equ\r\n$insert prod_spec_equ\r\n$insert quote_spec_equ\r\n\r\nPSNId    = CreateParam\r\nPSNRec   = xlate( 'PROD_SPEC', PSNId, '', 'X' )\r\nSubInfo  = PSNRec<prod_spec_spec_substrate$>\r\nEpiInfo  = PSNRec<prod_spec_spec_epi$>\r\n*\r\nCurRds = get_property( 'RDS.RDS_NO', 'TEXT' )\r\nSepLayerNumber = field( CurRds, '.', 2 )\r\nif SepLayerNumber = '' then\r\n   SepLayerNumber = 1\r\nend\r\nThickMeasure = ''\r\nResMeasure   = ''\r\nconvert char(247) to @fm in EpiInfo\r\nCurSepLay = EpiInfo<SepLayerNumber>\r\nThickMeasure = CurSepLay<1,QSEpiThickMeasure$>\r\nResMeasure   = field( CurSepLay<1,QSEpiResMeasure$>, char(248), 1 )\r\n* above line to remove the char(248) in case of same react layers\r\nconvert char(248) to @fm in CurSepLay\r\nTRcnt = fieldcount( CurSepLay, @fm )\r\nfor TR = 2 to TRcnt\r\n   CurSameLay = CurSepLay<TR>\r\n   ThickMeasure := ';':CurSameLay<1,QSEpiThickMeasure$>\r\n   ResMeasure   := ';':CurSameLay<1,QSEpiResMeasure$>\r\nnext TR\r\n*\r\nDisplayData = ''\r\nDisplayData := SubInfo<1,QSSubOrientation$>:@rm\r\nDisplayData := SubInfo<1,QSSubType$>:@rm\r\nDisplayData := SubInfo<1,QSSubWafersize$>:@rm\r\nDisplayData := SubInfo<1,QSSubResistivity$>:@rm\r\nDisplayData := SubInfo<1,QSSubResUnits$>:@rm\r\nDisplayData := SubInfo<1,QSSubDopant$>:@rm\r\nDisplayData := SubInfo<1,QSSubPreClean$>:@rm\r\nDisplayData := SubInfo<1,QSSubBl1Dopant$>:@rm\r\nDisplayData := SubInfo<1,QSSubBl2Dopant$>:@rm\r\nDisplayData := SubInfo<1,QSSubOxide$>:@rm\r\nDisplayData := SubInfo<1,QSSubOtherSpecs$>:@rm\r\nDisplayData := ThickMeasure:@rm\r\nDisplayData := ResMeasure\r\nFillFields = 'SUB_ORIENTATION/SUB_TYPE/SUB_WAFERSIZE/SUB_RESISTIVITY/'\r\nFillFields:= 'SUB_REST_UNITS/SUB_DOPANT/SUB_PRE_CLEAN/SUB_BL1_DOPANT/'\r\nFillFields:= 'SUB_BL2_DOPANT/SUB_OXIDE/SUB_OTHER_SPECS/'\r\nFillFields:= 'OEPI_THICK_MEASURE/OEPI_RES_MEASURE'\r\nswap '/' with @rm:@window:'.' in FillFields\r\nFillFields = @window:'.':FillFields\r\nVoid = set_property( FillFields, 'INVALUE', DisplayData )\r\nVoid = scroll_enable()\t         \r\nRETURN 0"
        }
    }
}